; $Id: checksiscompressedevents.pro,v 1.1 1998/01/26 17:57:02 rgr Exp $

; $RCSfile: checksiscompressedevents.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:57:02 $
; $Revision: 1.1 $

function CheckSisCompressedEvents, telemetry, index

   common SisSymbols

   nevent = n_elements(index)
   
   nbytes = telemetry(index + 0) and '7f'XB
   FlagStimulate = ishft(telemetry(index + 1), -7)
   FlagPeak = ishft(telemetry(index + 2), -5) and '01'XB
   range = telemetry(index + 2) and '0f'XB
   nstrips = telemetry(index + 3) and '1f'XB
   length = 5B + FlagPeak*4B + (range*12B + 4B)/8B +                   $
                           byte((nstrips*20 + 4)/8) + FlagStimulate*10B

   valid = bytarr(nevent)
   set = where(nbytes ne length, ncount)
   if (ncount gt 0) then begin
      if (ncount eq 1) then set = set(0)
      valid(set) = 1B
   endif
   set = where(range gt G$_Sis.NumStackDetectors, ncount)
   if (ncount gt 0) then begin
      if (ncount eq 1) then set = set(0)
      valid(set) = 1B
   endif

   return, valid
end
