; $Id: computesismiscrates.pro,v 1.1 1998/02/20 23:18:18 rgr Exp $

; $RCSfile: computesismiscrates.pro,v $
; $Author: rgr $
; $Date: 1998/02/20 23:18:18 $
; $Revision: 1.1 $

pro computeSisMiscRates, lp, engr

   common SisSymbols

   unit = G$_Sis.LiveTimeUnitMicrosecond

   engr.livetim = (unit * UncompressSisValue(lp.livetim)) * 1.0e-6
   engr.helivet = (unit * UncompressSisValue(lp.helivet)) * 1.0e-6
   engr.hylivet = (unit * UncompressSisValue(lp.hylivet)) * 1.0e-6
   engr.ntagint = UncompressSisValue(lp.ntagint)
   engr.nvldint = UncompressSisValue(lp.nvldint)
   engr.nevproc = UncompressSisValue(lp.nevproc)
   engr.nrtproc = UncompressSisValue(lp.nrtproc)
   engr.nbadid  = UncompressSisValue(lp.nbadid)
   engr.ncebful = UncompressSisValue(lp.ncebful)
   engr.nrebful = UncompressSisValue(lp.nrebful)
   engr.nhdwrej = UncompressSisValue(lp.nhdwrej)

   engr.QualityLivetim = lp.QualityLivetim
   engr.QualityHelivet = lp.QualityHelivet
   engr.QualityHylivet = lp.QualityHylivet
   engr.Qualityntagint = lp.Qualityntagint
   engr.Qualitynvldint = lp.Qualitynvldint
   engr.Qualitynevproc = lp.Qualitynevproc
   engr.Qualitynrtproc = lp.Qualitynrtproc
   engr.Qualitynbadid  = lp.Qualitynbadid
   engr.Qualityncebful = lp.Qualityncebful
   engr.Qualitynrebful = lp.Qualitynrebful
   engr.Qualitynhdwrej = lp.Qualitynhdwrej

end
