/* $Id: cvtFromSec1996_yd.c,v 1.1 1998/01/26 18:08:59 rgr Exp $ */

/* $RCSfile: cvtFromSec1996_yd.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 18:08:59 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include <time.h>
#include "AceTime.h"
#include "AceTime_yd.h"

#include "utilities/getDateFromSecondsSince1996.h"
#include "ace/cvtToSec1996.h"

struct AceTime_yd cvtFromSec1996_yd(u_long Second1996)
{
   struct AceTime_yd time_yd;
   struct AceTime time;
   struct tm *bstime;
   u_long sec1996;
   u_long day;
   double fraction;

   bstime = getDateFromSecondsSince1996(Second1996);
   time.year = (long) bstime->tm_year + 1900;
   time.month = (long) bstime->tm_mon + 1;
   time.day = (long) bstime->tm_mday;
   time.hour = 0L;
   time.min = 0L;
   time.sec = 0L;
   sec1996 = cvtToSec1996(time);
   fraction = (double) (Second1996 - sec1996) / 86400.0;
   time.month = 1L;
   time.day = 1L;
   day = ((sec1996 - cvtToSec1996(time) + 43200L) / 86400L) + 1;

   time_yd.year = time.year;
   time_yd.day = ((double) day) + fraction;

   return time_yd;
}
