/* $Id: unpackGuardPhas_c.c,v 1.1 1998/01/26 18:10:23 rgr Exp $ */

/* $RCSfile: unpackGuardPhas_c.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 18:10:23 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include "hdfi.h"
#include "cris.h"


void unpackGuardPhas_c(u_char *telemetry,
                      u_long *index,
                         int telescope,
           struct ce_crisEvt *event)

{
   u_char  address;
   u_long  byte;
   u_char  i;
   u_char  nguard;
    short  *pha;

   if (telescope == 1) {
      nguard = event->G1;
      pha = event->prim_guard_ph;
   } else {
      nguard = event->G2;
      pha = event->sec_guard_ph;
   }

   byte = *index;
   for (i=0; i<nguard; i++) {
      address = (telemetry[byte+1] & 0x07) - 0x02;
      pha[address] = ( ((short) telemetry[byte]) << 4) |
                     ( ((short) telemetry[byte+1]) >> 4);
      byte += 2;
   }
   *index = byte;
}
