;  $Id: computecrissinglerates.pro,v 1.1 1998/03/09 18:12:15 rgr Exp $

;  $RCSfile: computecrissinglerates.pro,v $
;  $Author: rgr $
;  $Date: 1998/03/09 18:12:15 $
;  $Revision: 1.1 $

pro computeCrisSingleRates, lp, engr

   livetim = engr.livetim > 1.0e-6
   nrtproc = engr.nrtproc > 1.0

   factor = engr.nhdwrej / (nrtproc * livetim)

   engr.stmco    = factor * lp.stmco
   engr.stmoff   = factor * lp.stmoff
   engr.z1ab     = factor * lp.z1ab
   engr.z2ab     = factor * lp.z2ab
   engr.z_gt_2ab = factor * lp.z_gt_2ab
   engr.z1cd     = factor * lp.z1cd
   engr.z2cd     = factor * lp.z2cd
   engr.z_gt_2cd = factor * lp.z_gt_2cd
   engr.hazard   = factor * lp.hazard
   engr.gh       = factor * lp.gh
   engr.mor      = factor * lp.mor
   engr.hor      = factor * lp.hor
   engr.adc2ab   = factor * lp.adc2ab
   engr.mnrgab   = factor * lp.mnrgab
   engr.adc2cd   = factor * lp.adc2cd
   engr.mnrgcd   = factor * lp.mnrgcd
   engr.e1a      = factor * lp.e1a
   engr.e1b      = factor * lp.e1b
   engr.e2ab     = factor * lp.e2ab
   engr.e3ab     = factor * lp.e3ab
   engr.e4ab     = factor * lp.e4ab
   engr.e5ab     = factor * lp.e5ab
   engr.e6ab     = factor * lp.e6ab
   engr.e7ab     = factor * lp.e7ab
   engr.e8ab     = factor * lp.e8ab
   engr.e9ab     = factor * lp.e9ab
   engr.g2ab     = factor * lp.g2ab
   engr.g3ab     = factor * lp.g3ab
   engr.g4ab     = factor * lp.g4ab
   engr.g5ab     = factor * lp.g5ab
   engr.g6ab     = factor * lp.g6ab
   engr.g7ab     = factor * lp.g7ab
   engr.e1c      = factor * lp.e1c
   engr.e1d      = factor * lp.e1d
   engr.e2cd     = factor * lp.e2cd
   engr.e3cd     = factor * lp.e3cd
   engr.e4cd     = factor * lp.e4cd
   engr.e5cd     = factor * lp.e5cd
   engr.e6cd     = factor * lp.e6cd
   engr.e7cd     = factor * lp.e7cd
   engr.e8cd     = factor * lp.e8cd
   engr.e9cd     = factor * lp.e9cd
   engr.g2cd     = factor * lp.g2cd
   engr.g3cd     = factor * lp.g3cd
   engr.g4cd     = factor * lp.g4cd
   engr.g5cd     = factor * lp.g5cd
   engr.g6cd     = factor * lp.g6cd
   engr.g7cd     = factor * lp.g7cd

end
