; $Id: get_events_c.pro,v 1.1 1998/01/26 17:55:00 rgr Exp $

; $RCSfile: get_events_c.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:55:00 $
; $Revision: 1.1 $

function get_events_c, second1996

   common CrisSymbols
   
   EventCycle = get_event_cycle_c(second1996)
   ncycle = n_elements(EventCycle) - 1
   
   if (ncycle gt 0) then                                       $
      nevent = total(EventCycle(0 : ncycle - 1).NumberEvents)  $
   else                                                        $
      nevent = 0 
   event = replicate({ce_crisEvt}, nevent + 1)
   
   if (nevent eq 0) then begin
      event(nevent).evtno = 0
      event(nevent).secs1996 = 0
      event(nevent).usec = 0
      return, event
   endif
   
   nevent = 0
   nmnf = long(G$_Cris.NumMnfsPerCycle)
   for i=0, (ncycle-1) do begin
   
      ; Unpack the compressed events in the cycle
   
      nevt = EventCycle(i).NumberEvents
      event(nevent : nevent+nevt) = UnpackCrisEventCycle(EventCycle(i))
      index = where(event.secs1996 ne 0L, nevent)
   endfor

   return, event(0 : nevent)
end
