/* $Id: checkCompressedEvent_s.c,v 1.1 1998/01/26 18:11:37 rgr Exp $ */

/* $RCSfile: checkCompressedEvent_s.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 18:11:37 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include "hdfi.h"
#include "sis.h"

#define NSTACK  NUM_SIS_STACK_DETECTORS


int checkCompressedEvent_s(u_char  *telemetry,
                           u_long  index)

{
   u_char FlagPeak;
   u_char FlagStimulate;
   u_char length;
   u_char nbytes;
   u_char nstrips;
   u_char range;
      int valid;
   
   nbytes = telemetry[index] & 0x7f;
   FlagStimulate = telemetry[index+1] >> 7;
   FlagPeak = (telemetry[index+2] >> 5) & 0x01;
   range = telemetry[index+2] & 0x0f;
   nstrips = telemetry[index+3] & 0x1f;
   length = 5 + FlagPeak*4 + (range*12 + 4)/8 + 
            (u_char) (( ((int) nstrips)*20 + 4)/8) + FlagStimulate*10;

   if ((length == nbytes) && (range <= NSTACK))
      valid = 0;
   else
      valid = 1;

   return valid;
}

#undef NSTACK
