/* $Id: getEvents_s.c,v 1.1 1998/01/26 18:11:39 rgr Exp $ */

/* $RCSfile: getEvents_s.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 18:11:39 $ */
/* $Revision: 1.1 $ */

#include <stdio.h>
#include "hdfi.h"
#include "sis.h"

#include "sisGetData.h"
#include "sis/unpackEventCycle_s.h"


struct L1_1SisEvent *getEvents_s(uint32 Second1996)
{
   static struct L1SisEventCycle *EventCycle = NULL;
   static struct L1_1SisEvent *event = NULL;

   int nevent;
   int nevt;
  
   free(EventCycle);
   free(event);
   EventCycle = getEventCycleStruct_s(Second1996, 0);
   if (!(EventCycle->Second1996)) EventCycle->NumberEvents = 0;
   nevent = EventCycle->NumberEvents;
   event = (struct L1_1SisEvent *) calloc(sizeof(struct L1_1SisEvent),
                                          nevent+1);
   nevt = unpackEventCycle_s(EventCycle, event);
   if (nevt != nevent) 
      printf("%d : Number of invalid events encountered\n",
             nevent-nevt);
   return event;
}
